[SRU] Glance image properties not copied to cinder volume with glance V2 API

Bug #1323660 reported by Bart Wensley on 2014-05-27
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Anton Arefiev
Glance Client
High
Alexander Tivelkov
Kilo
High
Mike Fedosin
Ubuntu Cloud Archive
Undecided
Seyeong Kim
Icehouse
Undecided
Seyeong Kim
Kilo
Undecided
Seyeong Kim
cinder (Ubuntu)
Medium
Unassigned
Trusty
Medium
Seyeong Kim
python-glanceclient (Ubuntu)
Medium
Unassigned
Trusty
Medium
Seyeong Kim

Bug Description

[Description]
When a cinder volume is created from a glance image, the "properties" attached to the glance image are not copied to the cinder volume (in the volume_image_metadata) if the glance V2 API is used. If the glance V1 API is used, the properties are copied correctly.

[Test Case]
To illustrate, here is a glance image with a hw_vif_model property defined:

[root@controller-0 log(keystone_admin)]# glance image-show wrl5-avp
+-------------------------+--------------------------------------+
| Property | Value |
+-------------------------+--------------------------------------+
| Property 'hw_vif_model' | avp |
| checksum | 2386997c1a85709759c3d26ba0f11192 |
| container_format | bare |
| created_at | 2014-05-23T15:25:01.804247 |
| deleted | False |
| disk_format | raw |
| id | 78e935d4-3b8e-4cc4-ab9f-c24959492c22 |
| is_public | True |
| min_disk | 0 |
| min_ram | 0 |
| name | wrl5-avp |
| owner | 376000978ffb43159aa3ec554d62b7df |
| protected | False |
| size | 507510784 |
| status | active |
| updated_at | 2014-05-23T15:25:03.852936 |
+-------------------------+--------------------------------------+

When a volume is created (using glance V1 API) from this image (with "cinder create --image-id 2386997c1a85709759c3d26ba0f11192 --display-name=wrl5-avp-from-volume 1"), the volume_image_metadata for the resulting volume is:
{u'container_format': u'bare', u'min_ram': u'0', u'hw_vif_model': u'avp', u'disk_format': u'qcow2', u'image_name': u'wrl5-avp', u'image_id': u'8f1b7941-cbac-484e-8ef4-5714e01f5c66', u'checksum': u'2386997c1a85709759c3d26ba0f11192', u'min_disk': u'0', u'size': u'507510784'}

When a volume is created using the glance V2 API, the volume_image_metadata is missing the hw_vif_model:
{u'container_format': u'bare', u'min_ram': u'0', u'disk_format': u'qcow2', u'image_name': u'wrl5-avp', u'image_id': u'8f1b7941-cbac-484e-8ef4-5714e01f5c66', u'checksum': u'2386997c1a85709759c3d26ba0f11192', u'min_disk': u'0', u'size': u'507510784'}

With debug logs turned on, the results of the image get from glance are different. For the glance V1 API:

May 25 12:49:48 localhost 2014-05-25 12:49:48.221 1773 DEBUG glanceclient.common.http [-] HTTP/1.1 200 OK content-length: 0 x-image-meta-status: active x-image-meta-owner: 621793db5e664ca390af686640b24543 x-image-meta-name: wrl5-avp x-image-meta-container_format: bare x-image-meta-created_at: 2014-05-22T17:59:05.446468 etag: 2386997c1a85709759c3d26ba0f11192 location: http://192.168.204.2:9292/v1/images/8f1b7941-cbac-484e-8ef4-5714e01f5c66 x-image-meta-min_ram: 0 x-image-meta-updated_at: 2014-05-22T17:59:11.446979 x-image-meta-id: 8f1b7941-cbac-484e-8ef4-5714e01f5c66 date: Sun, 25 May 2014 12:49:48 GMT x-openstack-request-id: req-884ad959-fe85-4653-81e9-97a9205db3b8 x-image-meta-deleted: False x-image-meta-checksum: 2386997c1a85709759c3d26ba0f11192 x-image-meta-property-hw_vif_model: avp x-image-meta-protected: False x-image-meta-min_disk: 0 x-image-meta-size: 507510784 x-image-meta-is_public: True content-type: text/html; charset=UTF-8 x-image-meta-disk_format: qcow2 log_http_response /usr/lib64/python2.7/site-packages/glanceclient/common/http.py:152

With the glance V2 API:

May 25 12:07:15 localhost 2014-05-25 12:07:15.589 12689 DEBUG glanceclient.common.http [-] HTTP/1.1 200 OK date: Sun, 25 May 2014 12:07:15 GMT content-length: 543 content-type: application/json; charset=UTF-8 x-openstack-request-id: req-5c8b6f6c-0880-4054-ba03-4fc89326f64e {"status": "active", "name": "wrl5-avp", "tags": [], "container_format": "bare", "created_at": "2014-05-22T17:59:05Z", "hw_vif_model": "avp", "disk_format": "qcow2", "updated_at": "2014-05-22T17:59:11Z", "visibility": "public", "self": "/v2/images/8f1b7941-cbac-484e-8ef4-5714e01f5c66", "protected": false, "id": "8f1b7941-cbac-484e-8ef4-5714e01f5c66", "file": "/v2/images/8f1b7941-cbac-484e-8ef4-5714e01f5c66/file", "checksum": "2386997c1a85709759c3d26ba0f11192", "min_disk": 0, "size": 507510784, "min_ram": 0, "schema": "/v2/schemas/image"} log_http_response /usr/lib64/python2.7/site-packages/glanceclient/common/http.py:152

The difference (other than the switch to the json encoding) is that the hw_vif_model is returned as a property in the V1 case and returned as a regular field in the V2 case. From a look at the cinder code, I suspect that the problem happens because the _extract_attributes function (in cinder/image/glance.py) is using a whitelist to copy certain attributes and then copying the "properties" from the image transparently. In the case of the glance V2 API, the hw_vif_model isn't a "property", so it isn't getting copied. Here is the code (from Havana):

def _extract_attributes(image):
    IMAGE_ATTRIBUTES = ['size', 'disk_format', 'owner',
                        'container_format', 'checksum', 'id',
                        'name', 'created_at', 'updated_at',
                        'deleted_at', 'deleted', 'status',
                        'min_disk', 'min_ram', 'is_public']
    output = {}
    for attr in IMAGE_ATTRIBUTES:
        output[attr] = getattr(image, attr, None)

    output['properties'] = getattr(image, 'properties', {})

    return output

I don't know why the glance V2 API is returning the properties as regular attributes, but I expect that is what is causing the problem.

I am testing this in Havana, using the Ceph backend, but I don't expect the backend matters here.

[Regression Potential]
Regression potential is low. Patch is cherry-picked from upstream stable/liberty branch without any changes.

s iwata (s-iwata) wrote :

Hi, Bart

I think, it look a bug.

Juan Manuel Ollé (juan-m-olle) wrote :

What I saw is that all properties a manages as regular fields, I have also added key=value

{"status": "active", "name": "test", "tags": [], "container_format": "bare", "created_at": "2014-06-17T17:00:12Z", "hw_vif_model": "avp", "disk_format": "raw", "updated_at": "2014-06-17T17:52:23Z", "visibility": "private", "self": "/v2/images/fedb3d49-b956-475c-85d1-0af2180862db", "key": "value", "min_disk": 0, "protected": false, "id": "fedb3d49-b956-475c-85d1-0af2180862db", "file": "/v2/images/fedb3d49-b956-475c-85d1-0af2180862db/file", "checksum": "69c33642f44ca552ba4bb8b66ad97e85", "owner": "b57f8e79ef7f4f0d8a9b4e275a51d700", "size": 3714968, "min_ram": 0, "schema": "/v2/schemas/image"}

We should keep custom properties out? or copy all but the fields we know that should be suppress?

Bart Wensley (bartwensley) wrote :

Juan,
I think the problem is that the properties shouldn't be managed as regular fields. Why can't glance V2 API continue to treat the properties the way the glance V1 API treated them? Was this an intentional change in the glance V2 API or is it a bug in the glance V2 API?
Bart

semy (semyazz) wrote :

Also there is no other way to set different hw_vif_model than via Glance's image. I'm facing the problem where I have a Windows instance from a different virtualization environment and I have to set hw_vif_model to e1000 and I can't install virtio drivers and without it all I got is blue screen. I need to boot that instance from a volume and I can't because during nova boot I can't specify the hw_vif_model and when I created that volume from an image, that property was not preserved.

Is there any way to somehow set that property in instances booted from volume? Maybe in nova? or in cinder?

semy (semyazz) wrote :

Moreover, why is it not possible to specify those hardware properties during nova boot? To me it should be specified in:
a) Glance because it's the first place where images are stored
b) every property should be copied to Cinder's volume when it's boot from volume and it should be also possible to add any missing property (which is available in Glance) to that instance later
c) all those properties should be overwritable in nova boot with a message that those properties are modified temporary and will be lost after reboot/shutdown, so if someone reboots an instance from Horizon it'll spawn it with properties saved in Glance/CInder

SamP (sampath-priyankara) wrote :

Hi,
Is this issue still valid on stable/juno?

Pranali Deore (pranali-deore) wrote :

Hi Sampath,

This issue is not reproducible on stable/juno.

Pranali Deore (pranali-deore) wrote :

Hi Sampath,

This issue is not reproducible on latest stable/juno branch but when I tested it on 2014.2.1 tag it is not copying the image property to cinder volume.

Changed in cinder:
assignee: nobody → Pranali Deore (pranali-deore)
SamP (sampath-priyankara) wrote :

Hi Pranali,

 Thank for conformation.

Ivan Kolodyazhny (e0ne) on 2015-03-24
Changed in cinder:
status: New → Confirmed
no longer affects: glance
Michal Dulko (michal-dulko-f) wrote :

I've had some doubts but now it gets clear to me that problem is unsolvable in a decent way without changes to Glance. Problem with API differences was described well in the bug report.

Looking in the Cinder code we can see that a few image attributes are hardcoded and are always passed from image to the volume (checksum, container_format, disk_format, min_disk, min_ram, size). This is fine, these are passed correctly using v2 API.

Problem arises when we want to introduce custom properties. Using Glance v2 API these are indistinguishable from core properties (aka attributes). The only way to determine which are custom would be to download the Glance image schema and see if the property is on the attribute list. This may be even achievable using is_core_property method from glanceclient.v2.schemas.Schema. I don't like the idea of Cinder downloading Glance's schema but okay...

What's blocking are properties that are "not base" - for example kernel_id (there's "is_base" : false in its schema). Cinder should pass these to the volume but the only way to distinguish these would be to analyze raw schema for is_base attribute set to false. This is totally unacceptable.

I would suggest that Glance should somehow differentiate attributes and properties so Cinder would know what to pass to the volume metadata.

Alexander Tivelkov (ativelkov) wrote :

Seems like there is an issue in python-glanceclient: Glance V2 API has recently got an option to differentiate between base and custom properties (https://review.openstack.org/#/c/123738/2), however it is not utilised in the client.

Changed in glance:
status: New → Confirmed
assignee: nobody → Alexander Tivelkov (ativelkov)
Changed in glance:
status: Confirmed → In Progress
Anton Arefiev (aarefiev) on 2015-03-27
Changed in cinder:
assignee: Pranali Deore (pranali-deore) → Anton Arefiev (aarefiev)
status: Confirmed → In Progress
Ian Cordasco (icordasc) on 2015-04-02
Changed in glance:
milestone: none → kilo-rc1
importance: Undecided → High
Ian Cordasco (icordasc) on 2015-04-02
affects: glance → python-glanceclient
Changed in python-glanceclient:
milestone: kilo-rc1 → none

Reviewed: https://review.openstack.org/168364
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=90407d9e473014c24eeab294192f9d3208f58ea7
Submitter: Jenkins
Branch: master

commit 90407d9e473014c24eeab294192f9d3208f58ea7
Author: Alexander Tivelkov <email address hidden>
Date: Fri Mar 27 17:53:46 2015 +0300

    Expose 'is_base' schema property attribute

    Changeset I49255255 has added an 'is_base' attribute for Image Schema
    properties, thus allowing to differentiate between base and custom image
    properties, but the client hasn't make any use of it.

    This patch adds appropriate attribute to SchemaProperty class and a
    helper method which allows to validate if the given property is base or
    not.

    The added helper method (is_base_property) should not be confused with
    the existing is_core_property: the latter just checks if the property is
    known to the schema, regardless of its being base or not.

    Change-Id: I7c397196dad9ae5494ed2f8f3aacef3fc1ce70d8
    Partial-Bug: #1323660

Ian Cordasco (icordasc) on 2015-04-02
Changed in python-glanceclient:
status: In Progress → Fix Committed

@semy (semyazz), FYI, there is SPEC intends to support modifying these image metadata in Cinder, hope you can see it in 'L'.

The link of the SPEC (https://review.openstack.org/#/c/136253/) and all of the IMPL patches with the same topic as "bp/support-modify-volume-image-metadata"

Reviewed: https://review.openstack.org/169430
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=f20643ca44e139e3384b9dea638b54c2235b1169
Submitter: Jenkins
Branch: master

commit f20643ca44e139e3384b9dea638b54c2235b1169
Author: Anton Arefiev <email address hidden>
Date: Tue Mar 31 19:44:57 2015 +0300

    Fix properties extracting from image with glance api v2

    When a volume is created using the glance v1 API, the non based
    properties places in 'properties' dict, and nova is expected
    to find them here. Otherwise api's v2 return custom image properties
    as base properties, so nova can't find them in volume 'image
    properties'.

    This change add new glance call to get image schema, it allows
    extract custom properties from image.

    Closes-Bug: 1323660

    Change-Id: Ib54bb6759b27334294fb2c6d2c0bfe4eae3d0920

Changed in cinder:
status: In Progress → Fix Committed
Changed in cinder:
milestone: none → liberty-2
status: Fix Committed → Fix Released
Erno Kuvaja (jokke) on 2015-07-29
tags: added: kilo-backport-potential

Fix proposed to branch: stable/kilo
Review: https://review.openstack.org/207007

Change abandoned by Anton Arefiev (<email address hidden>) on branch: stable/kilo
Review: https://review.openstack.org/207000
Reason: same change id

Change abandoned by Anton Arefiev (<email address hidden>) on branch: stable/kilo
Review: https://review.openstack.org/207007
Reason: duplicates this one https://review.openstack.org/#/c/207000/

Reviewed: https://review.openstack.org/206995
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=0acf7cc35cd2b123abde59e2a7a2fcd0a9a79ef8
Submitter: Jenkins
Branch: stable/kilo

commit 0acf7cc35cd2b123abde59e2a7a2fcd0a9a79ef8
Author: Alexander Tivelkov <email address hidden>
Date: Fri Mar 27 17:53:46 2015 +0300

    Expose 'is_base' schema property attribute

    Changeset I49255255 has added an 'is_base' attribute for Image Schema
    properties, thus allowing to differentiate between base and custom image
    properties, but the client hasn't make any use of it.

    This patch adds appropriate attribute to SchemaProperty class and a
    helper method which allows to validate if the given property is base or
    not.

    The added helper method (is_base_property) should not be confused with
    the existing is_core_property: the latter just checks if the property is
    known to the schema, regardless of its being base or not.

    Change-Id: I7c397196dad9ae5494ed2f8f3aacef3fc1ce70d8
    Partial-Bug: #1323660
    (cherry picked from commit 90407d9e473014c24eeab294192f9d3208f58ea7)

tags: added: in-stable-kilo
no longer affects: ubuntu
Changed in python-glanceclient:
milestone: none → 1.0.0
status: Fix Committed → Fix Released

Change abandoned by Anton Arefiev (<email address hidden>) on branch: stable/kilo
Review: https://review.openstack.org/207000
Reason: It's too late

Thierry Carrez (ttx) on 2015-10-15
Changed in cinder:
milestone: liberty-2 → 7.0.0
no longer affects: cloud-archive
Seyeong Kim (xtrusia) on 2016-09-27
no longer affects: ubuntu
Seyeong Kim (xtrusia) on 2016-09-27
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in python-glanceclient (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: Invalid → Fix Released
Changed in python-glanceclient (Ubuntu):
status: Invalid → Fix Released
Changed in python-glanceclient (Ubuntu Trusty):
status: New → In Progress
Changed in cinder (Ubuntu Trusty):
assignee: nobody → Seyeong Kim (xtrusia)
Changed in python-glanceclient (Ubuntu Trusty):
assignee: nobody → Seyeong Kim (xtrusia)
Changed in cinder (Ubuntu Trusty):
status: New → In Progress
Seyeong Kim (xtrusia) on 2016-10-05
Changed in cloud-archive:
status: New → In Progress
assignee: nobody → Seyeong Kim (xtrusia)
Seyeong Kim (xtrusia) on 2016-10-05
tags: added: openstack sts
tags: added: sts-sru
Changed in cinder (Ubuntu):
importance: Undecided → Medium
Changed in cinder (Ubuntu Trusty):
importance: Undecided → Medium
Changed in python-glanceclient (Ubuntu):
importance: Undecided → Medium
Changed in python-glanceclient (Ubuntu Trusty):
importance: Undecided → Medium
Corey Bryant (corey.bryant) wrote :

Hi Seyeong, Thanks for the patches.

* Kilo is eol for the ubuntu cloud archive so we won't be considering those patches.
* I ensured that the liberty versions of cinder and python-glanceclient in the cloud archive include the corresponding patches, so the series to backport to would be icehouse, which you have covered here. Looking at those patches now.

Corey Bryant (corey.bryant) wrote :

Seyeong, for the cinder patch I'd like to see if you could keep this in-line with the upstream stable/liberty commit as much as possible via:
git checkout icehouse-eol
git cherry-pick -x f20643ca44e139e3384b9dea638b54c2235b1169.

Corey Bryant (corey.bryant) wrote :

Seyeong, The cinder patch is looking better except that the cherry-pick also includes code from another commit. The test_extracting_v2_boot_properties code is from commit ea109b5f24dca93fd6f660bc436a685d6101bcea. I wonder if we might just want to cherry-pick that patch as well and fix up https://bugs.launchpad.net/cinder/+bug/1439371 since it is similar territory.

Seyeong Kim (xtrusia) wrote :
Seyeong Kim (xtrusia) wrote :
Seyeong Kim (xtrusia) wrote :

Hello corey.bryant

I put 2 commits in debdiff. Could you please sponsor this again?

also lp 1439371 should include ubuntu trusty and icehouse uca properly.

Thanks.

summary: - Glance image properties not copied to cinder volume with glance V2 API
+ [SRU] Glance image properties not copied to cinder volume with glance V2
+ API
description: updated
Corey Bryant (corey.bryant) wrote :

Hello Seyeong, These have been uploaded to the trusty review queue, awaiting SRU team review: https://launchpad.net/ubuntu/trusty/+queue?queue_state=1&queue_text=

Thanks again for the patches.

Hello Bart, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/1:2014.1.5-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in python-glanceclient (Ubuntu Trusty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Hello Bart, or anyone else affected,

Accepted python-glanceclient into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-glanceclient/1:0.12.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Seyeong Kim (xtrusia) wrote :

working fine

ii cinder-api 1:2014.1.5-0ubuntu2.1 all Cinder storage service - API server
ii cinder-common 1:2014.1.5-0ubuntu2.1 all Cinder storage service - common files
ii cinder-scheduler 1:2014.1.5-0ubuntu2.1 all Cinder storage service - Scheduler server
ii cinder-volume 1:2014.1.5-0ubuntu2.1 all Cinder storage service - Volume server
ii python-cinder 1:2014.1.5-0ubuntu2.1 all Cinder Python libraries

ii python-glanceclient 1:0.12.0-0ubuntu1.1 all Client library for Openstack glance server.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1.5-0ubuntu2.1

---------------
cinder (1:2014.1.5-0ubuntu2.1) trusty; urgency=medium

  * Include boot properties from glance v2 images (LP: #1439371):
    - d/p/include-boot-properties-from-glance-v2-images.patch
  * Fix extract properties from image with glance api v2 (LP: #1323660):
    - d/p/fix-properties-extracting-from-image-with-glance-api.patch

 -- Seyeong Kim <email address hidden> Fri, 11 Nov 2016 11:23:53 +0900

Changed in cinder (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-glanceclient - 1:0.12.0-0ubuntu1.1

---------------
python-glanceclient (1:0.12.0-0ubuntu1.1) trusty; urgency=medium

  * Expose is base schema property attribute (LP: #1323660)
    - d/p/Expose_is_base_schema_property_attribute.patch
  * d/control: Replace python-mox3 in favor of python-mox because it is
    causing unit tests to fail.
  * d/rules: Cleanup .eggs.

 -- Corey Bryant <email address hidden> Mon, 14 Nov 2016 11:52:02 -0500

Changed in python-glanceclient (Ubuntu Trusty):
status: Fix Committed → Fix Released
Corey Bryant (corey.bryant) wrote :

Seyeong, it looks like you lost some code for the cinder cherry-pick for Change-Id: I688898b3841691369d73887f7eabdceb05155db1.

Seyeong Kim (xtrusia) wrote :

@corey

you mean the function "test_extracting_v2_boot_properties" part?

That function is already in current kilo code.

so there was conflict when import 0001-blabla.

could you please check if that function is already exist on current one?

I downloaded cinder_2015.1.4-0ubuntu1.dsc

Thanks

Seyeong Kim (xtrusia) wrote :

@corey

my bad, I'll reupload this,

don't need that commit for kilo

Seyeong Kim (xtrusia) wrote :
Changed in cloud-archive:
status: In Progress → Invalid
Corey Bryant (corey.bryant) wrote :

Seyeong, Thanks for the kilo patches. I've uploaded cinder and python-glanceclient to kilo-staging and the are awaiting promotion to kilo-proposed.

Hello Bart, or anyone else affected,

Accepted cinder into kilo-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:kilo-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-kilo-needed to verification-kilo-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-kilo-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-kilo-needed
Ryan Beisner (1chb1n) wrote :

Hello Bart, or anyone else affected,

Accepted python-glanceclient into kilo-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:kilo-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-kilo-needed to verification-kilo-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-kilo-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Seyeong Kim (xtrusia) wrote :

I'll test this next week.

Corey Bryant (corey.bryant) wrote :

Regression tested successfully against kilo-proposed.

tags: added: verification-kilo-done
removed: verification-kilo-needed

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package cinder - 1:2015.1.4-0ubuntu1.1
---------------

 cinder (1:2015.1.4-0ubuntu1.1) trusty-kilo; urgency=medium
 .
   * Fix extract properties from image with glance api v2 (LP: #1323660):
     - d/p/fix-properties-extracting-from-image-with-glance-api.patch

James Page (james-page) wrote :

The verification of the Stable Release Update for python-glanceclient has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package python-glanceclient - 1:0.15.0-0ubuntu1~cloud1
---------------

 python-glanceclient (1:0.15.0-0ubuntu1~cloud1) trusty-kilo; urgency=medium
 .
   * Expose is base schema property attribute (LP: #1323660)
     - d/p/expose-is-base-schema-property-attribute.patch

tags: added: sts-sru-needed
removed: sts-sru
Edward Hope-Morley (hopem) wrote :

Looks like there is actually no outstanding sru work needed here. Both python-glanceclient and cinder SRUs have landed in trusty-updates (icehouse) and kilo uca.

tags: added: sts-sru-done
removed: sts-sru-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers